%define	name	ntfsprogs
%define	version	1.13.1
%define release	%mkrel 3

%define lib_name_orig	libntfs
%define lib_major	9
%define lib_name	%mklibname ntfs %{lib_major}

Summary:	NTFS filesystem libraries and utilities
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://prdownloads.sourceforge.net/linux-ntfs/%{name}-%{version}.tar.bz2
Patch1:		ntfsprogs-1.9.1-display-min-size-in-KiB.patch
Patch2:		ntfsprogs-1.13.1-rename-MS_.patch
Patch3:		ntfsprogs-1.13.1-vistahotfix.patch
License:	GPL
Group:		System/Kernel and hardware
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url:		http://www.linux-ntfs.org/

%description
The Linux-NTFS project aims to bring full support for the NTFS filesystem to
the Linux operating system. Linux-NTFS currently consists of a static library
and utilities. This package contains the following utilities:

ntfscat: concatenate files and print them on the standard output

ntfsclone: efficiently clone an NTFS filesystem

ntfscluster: identify files in a specified region of an NTFS volume

mkntfs: format a partition with the NTFS filesystem

ntfsfix: tool for fixing NTFS partitions altered by the Linux kernel NTFS
         driver

ntfsinfo: dump a file's attributes

ntfslabel: display/change the label on an ntfs file system

ntfsls: list directory contents on an NTFS file system

ntfsresize: resize an NTFS filesystem

ntfsundelete: recover a deleted file from an NTFS volume

%package -n	%{lib_name}
Summary:	Main library for %{lib_name_orig}
Group:		System/Libraries
Provides:	%{lib_name_orig} = %{version}-%{release}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with %{lib_name_orig}.

%package -n	%{lib_name}-devel
Summary:	Header files and libraries for developing apps which will use %{lib_name_orig}
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Conflicts:	%{mklibname ntfs 5}-devel

%description -n	%{lib_name}-devel
The %{lib_name_orig}-devel package contains the header files and libraries needed
to develop programs that use the %{lib_name_orig}

Install the %{lib_name_orig}-devel package if you want to develop applications that
will use the %{lib_name_orig} library.

%package	gnomevfs
Summary:	NTFS GNOME virtual filesystem module
Group:		System/Libraries
Requires:	ntfsprogs = %{version}-%{release}
BuildRequires:	glib2-devel gnome-vfs2-devel
Requires:	glib2 gnome-vfs2
Conflicts:	ntfsprogs < 1.11.0-3mdk

%description	gnomevfs
This package contains the NTFS GNOME virtual filesystem (VFS) module which
allows GNOME VFS clients to seamlessly utilize the NTFS library.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p0

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS CREDITS ChangeLog INSTALL NEWS README TODO.include
%doc doc/attribute_definitions doc/attributes.txt doc/compression.txt
%doc doc/system_files.txt doc/system_security_descriptors.txt doc/template.c
%doc doc/template.h doc/tunable_settings 
%{_bindir}/*
/sbin/*
%{_sbindir}/*
%{_mandir}/*/*
%exclude %{_mandir}/man8/libntfs-gnomevfs.8*

%files gnomevfs
%defattr(-,root,root)
%{_mandir}/man8/libntfs-gnomevfs.8*
%{_libdir}/gnome-vfs-2.0/modules/libntfs-gnomevfs.*so*
%config(noreplace) %{_sysconfdir}/gnome-vfs-2.0/modules/libntfs.conf

%files -n %{lib_name}
%defattr(-,root,root)
%doc CREDITS
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc doc/CodingStyle
%{_libdir}/*.so
%{_libdir}/*a
%{_includedir}/*
%{_libdir}/gnome-vfs-2.0/modules/libntfs-gnomevfs.*a*




%changelog
* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.13.1-3mdv2008.0
+ Revision: 90011
- rebuild


* Thu Feb 15 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.13.1-2mdv2007.0
+ Revision: 121501
- add fixes from SuSE to fix resizing of vista ntfs (fixes #28756)
- Import ntfsprogs

* Wed Jul 26 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.13.1-1mdv2007.0
- new release

* Tue Mar 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.13.0-1mdk
- new release
- new major

* Wed Jan 04 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.12.1-1mdk
- 1.12.1
- new major
- %%mkrel
- update url
- add new symlinks

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.11.2-2mdk
- Rebuild

* Wed Aug 24 2005 Stew Benedict <sbenedict@mandriva.com> 1.11.2-1mdk
- 1.11.2
- use %%mklibname for conflicts

* Wed Aug 24 2005 Stew Benedict <sbenedict@mandriva.com> 1.11.0-4mdk
- conflicts for upgrades

* Wed Aug 24 2005 Stew Benedict <sbenedict@mandriva.com> 1.11.0-3mdk
- fix man8/libntfs-gnomevfs.8 in multiple packages

* Tue Jul 26 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.11.0-2mdk
- fix major

* Sat Jul 23 2005 Erwan Velu <velu@seanodes.com> 1.11.0-1mdk
- 1.11.0

* Wed Jan 26 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.9.4-1mdk
- 1.9.4
- drop useless prefix
- cosmetics

* Tue Apr 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9.1-1mdk
- new release
- drop patch 2 (merged upstream)

